Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.transaction.metadataStateManager
Interface MetadataState

public interface MetadataState

An interface for an object that stores values for a `Template`. An implementation of this interface must include a `clone` method that saves the current state of the values. When instantiating a new `Template`, an application passes a `MetadataState` to the `Template` constructor. The `Template` has methods for getting and setting the values stored by the `MetadataState`. When an application gets the `Source` produced by the `Template`, by calling the `getSource` method on a `DynamicDefinition`, the `MetadataState` is passed to the `generateSource` method on the `SourceGenerator` for the `Template`.

As an example of a `MetadataState`, suppose a `Template` produces a `Source` that defines the selection of a number of data values from the top or bottom of the elements of a measure for one of the dimensions of the measure. The other dimensions of the measure are limited to single values. The `Source` represents a request for data such as, "Give me the ten products that have the highest sales amount values of those sold through the direct sales channel to customers from San Francisco in the first quarter of the calendar year 2000 while a televised promotion was occurring."

The `MetadataState` for that `Template` has fields for storing the following kinds of values:

- A `Source` representing the dimension on which to base the selection of the number of values from the top or bottom, such as a `Source` representing the products dimension.
- A `Source` representing a request for the values of the measure defined by the single-valued dimensions as outputs, such as a `Source` representing a request for the values of all the sales amounts made through the direct sales channel to customers from San Francisco in the first quarter of the calendar year 2000 while a televised promotion was occurring.
- A `float` representing the number of data values to select.
- An `int` representing whether the selection of values is from the top or bottom.

In using a `Template`, an application sets the values in the `MetadataState` by calling methods on the `Template`. The application then gets the `Source` produced by the `Template` by calling the `getSource` method on a `DynamicDefinition` created by the `Template`.

See Also:
  `SourceGenerator`, `Template`

Method Summary
`java.lang.Object` | `clone()` Creates a copy of this `MetadataState`, thus saving the current state of the values stored by the `MetadataState`.

Method Detail

### clone

    public java.lang.Object clone()

  Creates a copy of this `MetadataState`, thus saving the current state of the values stored by the `MetadataState`.
  Overrides:
    clone in class java.lang.Object
  Returns:
    A copy of this `MetadataState`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.